package contract_request

import (
	"private-go-sdk/http"
)

type ContractSweepcodeUrlRequest struct {
	// <ext>core:true;format:string</ext> 【电子签约文件id】电子签约文件id 【作用】 查询需获取个人扫码签链接的电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准
	ContractId *int64 `json:"contractId,omitempty"`
	// <ext>core:true;format:string</ext> 【第三方业务系统文件id】第三方业务系统文件id 【作用】 查询需获取个人扫码签链接的电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准
	BizId string `json:"bizId,omitempty"`
}
func (obj ContractSweepcodeUrlRequest) GetUrl() string {
    return "/contract/sweepcode/url"
}

func (obj ContractSweepcodeUrlRequest) GetHttpParameter() *http.HttpParameter {
    parameter := http.NewGetHttpParameter()
    parameter.AddParam("contractId", obj.ContractId)
    parameter.AddParam("bizId", obj.BizId)
    return parameter
}
